Reinstall an OS for an SBM server
You can reinstall an operating system of a server using a POST request to the /v1/hosts/sbm_servers/{server_id}/reinstall endpoint. Specify an ID of the server in the path parameter.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
server_id | stringA unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the |
Request Body
| Field | Details |
|---|---|
hostname? | stringGive a name to a server. It will be set up on the server's side. The hostname consists of ASCII letters (a to z), digits (0 to 9), delimiter dots (.), and a hyphen (-). A maximum is 253 symbols. Each part divided by a dot can be no longer than 63 symbols. This parameter is optional. If not specified, the current hostname is used. If the current hostname does not comply with the selected OS validation rules, the reinstall request will be declined with an error. |
operating_system_id | integerA unique identifier of an operating system. To get a list of available OS for an SBM flavor, refer to the relevant request. |
ssh_key_fingerprints? | array<string>Fill this parameter in with a fingerprint to use an SSH key to access the server. This fingerprint has to be already created. Check SSH keys you have, or create a new one in the the relevant section. |
user_data? | stringThis parameter is unavailable for the SBM service. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/hosts/sbm_servers/pmbkjJaz/reinstall" \ -H "Content-Type: application/json" \ -d '{ "hostname": "example.aa", "operating_system_id": 286, "user_data": "#cloud-config\\ngroups:\\n - ubuntu: [root,sys]" }'{ "id": "pmbkjJaz", "rack_id": "4QbYJKdz", "title": "example.aa", "location_id": 1688, "location_code": "location3479", "status": "active", "operational_status": "installation", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": "10.0.0.189", "public_ipv4_address": "169.254.0.189", "lease_start_at": "2026-05-25", "scheduled_release_at": null, "type": "sbm_server", "oob_ipv4_address": null, "configuration_details": { "ram_size": 0, "sbm_flavor_model_id": 2934, "sbm_flavor_model_name": "flavor-model-1665", "bandwidth_id": null, "bandwidth_name": null, "private_uplink_id": null, "private_uplink_name": null, "public_uplink_id": null, "public_uplink_name": null, "operating_system_id": null, "operating_system_full_name": null }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T07:05:54Z", "updated_at": "2026-05-28T07:05:54Z"}